Get Wallet Single Transaction
curl --request GET \
--url https://api-production.fossapay.com/v1/wallets/crypto/transactions/{transactionId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-production.fossapay.com/v1/wallets/crypto/transactions/{transactionId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-production.fossapay.com/v1/wallets/crypto/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"statusCode": 200,
"message": "Transaction retrieved successfully",
"data": {
"id": "85503565-cb04-4ba7-abfb-b75193553086",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"amountInCrypto": "10.00000000",
"tokenSymbol": "usdxm",
"tokenAddress": "z23BZbAiFRb6u5***64XjZPUud6dP6y2ZuKoYSM4LCY",
"tokenDecimals": 6,
"senderAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
"recipientAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
"recipientWalletAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
}
Crypto Wallets
Get Wallet Single Transaction
Retrieve a single crypto wallet transaction by transaction ID
GET
/
v1
/
wallets
/
crypto
/
transactions
/
{transactionId}
Get Wallet Single Transaction
Path Parameters
Transaction ID
Headers
API Key for authentication
Request Example
curl -X GET https://api-production.fossapay.com/v1/wallets/crypto/transactions/85503565-cb04-4ba7-abfb-b75193553086 \
-H "x-api-key: your_api_key_here"
const response = await fetch(
'https://api-production.fossapay.com/v1/wallets/crypto/transactions/85503565-cb04-4ba7-abfb-b75193553086',
{
method: 'GET',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
}
}
);
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const transaction = await response.json();
Response
{
"status": "success",
"statusCode": 200,
"message": "Transaction retrieved successfully",
"data": {
"id": "85503565-cb04-4ba7-abfb-b75193553086",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"amountInCrypto": "10.00000000",
"tokenSymbol": "usdxm",
"tokenAddress": "z23BZbAiFRb6u5***64XjZPUud6dP6y2ZuKoYSM4LCY",
"tokenDecimals": 6,
"senderAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
"recipientAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
"recipientWalletAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
}
Error Responses
⌘I

